Debian Bug report logs - #691616
live-build fails when cache "too full"

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Vincent Stehlé <vincent.stehle@laposte.net>

Date: Sat, 27 Oct 2012 16:15:01 UTC

Severity: normal

Found in version live-build/3.0~a45-1

Fixed in version live-build/3.0~a67-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#691616; Package live-build. (Sat, 27 Oct 2012 16:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Stehlé <vincent.stehle@laposte.net>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 27 Oct 2012 16:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Stehlé <vincent.stehle@laposte.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-build fails when cache "too full"
Date: Sat, 27 Oct 2012 18:12:51 +0200
Package: live-build
Version: 3.0~a45-1
Severity: normal


When the package cache contains too many files, live-build fails:

  ...
  [2012-10-27 17:35:08] lb_chroot_apt install
  P: Configuring file /etc/apt/apt.conf
  [2012-10-27 17:35:09] lb_chroot_archives chroot install
  P: Configuring file /etc/apt/sources.list
  /usr/share/live/build/functions/cache.sh: line 23: /bin/cp: Argument list too long
  P: Begin unmounting filesystems...
  P: Saving caches...
  Reading package lists... Done
  Building dependency tree... Done

(There were 102859 entries in cache/packages_chroot when this happened.)


-- Package-specific info:

-- System Information:
Debian Release: 6.0.6
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.4-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-build depends on:
ii  cdebootstrap             0.5.7           Bootstrap a Debian system
ii  debootstrap              1.0.26+squeeze1 Bootstrap a basic Debian system

Versions of packages live-build recommends:
ii  cpio                         2.11-4      GNU cpio -- a program to manage ar
ii  gettext-base                 0.18.1.1-3  GNU Internationalization utilities
ii  gnu-fdisk                    1.2.4-3+b1  Linux fdisk replacement based on l
pn  live-boot-doc                <none>      (no description available)
pn  live-config-doc              <none>      (no description available)
ii  live-manual-html [live-manua 1:3.0~a10-1 Debian Live - Documentation (html)

Versions of packages live-build suggests:
ii  dosfstools           3.0.9-1             utilities for making and checking 
ii  fakeroot             1.14.4-1            Gives a fake root environment
ii  genisoimage          9:1.1.11-1          Creates ISO-9660 CD-ROM filesystem
ii  grub                 0.97-64             GRand Unified Bootloader (dummy pa
ii  memtest86+           4.10-1.1            thorough real-mode memory tester
ii  mtools               4.0.12-1            Tools for manipulating MSDOS files
ii  parted               2.3-5               The GNU Parted disk partition resi
ii  squashfs-tools       1:4.0-8             Tool to create and append to squas
ii  sudo                 1.7.4p4-2.squeeze.3 Provide limited super user privile
pn  uuid-runtime         <none>              (no description available)
ii  win32-loader         0.6.21+squeeze0     Debian-Installer loader for win32

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#691616; Package live-build. (Sat, 27 Oct 2012 19:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent <vincent.stehle@laposte.net>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 27 Oct 2012 19:15:06 GMT) Full text and rfc822 format available.

Message #10 received at 691616@bugs.debian.org (full text, mbox):

From: Vincent <vincent.stehle@laposte.net>
To: 691616@bugs.debian.org
Subject: Still in 3.0~a66-1
Date: Sat, 27 Oct 2012 21:09:57 +0200
Hi,

This bug seems to be still present in version 3.0~a66-1 (with cache
folder cache/packages.chroot).

Best regards,

V.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#691616; Package live-build. (Sat, 27 Oct 2012 20:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent <vincent.stehle@laposte.net>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 27 Oct 2012 20:42:03 GMT) Full text and rfc822 format available.

Message #15 received at 691616@bugs.debian.org (full text, mbox):

From: Vincent <vincent.stehle@laposte.net>
To: 691616@bugs.debian.org
Subject: Workaround patch
Date: Sat, 27 Oct 2012 22:39:42 +0200
[Message part 1 (text/plain, inline)]
The following patch is a workaround. Probably not a definitive solution
as it uses a 'find + exec cp' technique, which does one exec per file.
Works for me :)

V.
[cache.sh.diff (text/x-diff, attachment)]

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Fri, 02 Nov 2012 11:51:06 GMT) Full text and rfc822 format available.

Notification sent to Vincent Stehlé <vincent.stehle@laposte.net>:
Bug acknowledged by developer. (Fri, 02 Nov 2012 11:51:06 GMT) Full text and rfc822 format available.

Message #20 received at 691616-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 691616-close@bugs.debian.org
Subject: Bug#691616: fixed in live-build 3.0~a67-1
Date: Fri, 02 Nov 2012 11:48:00 +0000
Source: live-build
Source-Version: 3.0~a67-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 691616@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 02 Nov 2012 12:23:38 +0100
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 3.0~a67-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Live System Build Scripts
 live-build-cgi - Live System Build Scripts (CGI frontend)
Closes: 691616 691930
Changes: 
 live-build (3.0~a67-1) unstable; urgency=low
 .
   [ chals ]
   * Addin missing comma in the long debootstrap-options that caused an
     unrecognized option message.
 .
   [ Daniel Baumann ]
   * Renaming progress mode to progress-linux to match the used naming
     scheme.
   * Removing unecessary removal of apt preferences.
   * Removing workaround for #657560 where we had to temporarily include
     bzip2 into the bootstrapped chroot to avoid sids apt failing on
     mirrors with bzip2 indices only.
   * Removing cruft line breaks in bailout messages for bootstrap tools.
   * Using xargs when copying or hardlinking deb files from and to the
     package cache to avoid hit the shell max command limits (Closes:
     #691616).
   * Defaulting to systemd as initsystem for wheezy based progress-linux
     releases and newer.
   * Shortening initsystem specific hacks for wheezy, systemd on squeeze
     never was really supported anyway.
   * Removing sysvinit when building images with systemd.
   * Running chrooted commands with DEBCONF_NONINTERACTIVE_SEEN set to
     true to ensure debconf questions are not reasked uselessly on the
     final systems.
   * Making sysvinit removal on systemd systems conditional, newer
     bootstraps might not always pull in sysvinit packages anymore.
   * Also supporting the other way around: removing systemd from a
     bootstrap and switching to sysvinit for those distributions that
     default to systemd.
   * Removing debconf-nowarnings option, doesn't provide any advantage to
     disable this option in the first place.
   * Correcting typos in aptitude-options name in lb config, thanks to
     Frank Gard <frank@familie-gard.de> (Closes: #691930).
   * Workarounding recent archive changes wrt/ content files until
     #692111 is fixed.
Checksums-Sha1: 
 17db0138df085442df918449c896dd81ede0d757 1329 live-build_3.0~a67-1.dsc
 822c7accc21cdd88debdfa161ef1da26f4f69901 162264 live-build_3.0~a67.orig.tar.xz
 c61d294b48d9eccb314fbd2c81cb3f0782be706d 49232 live-build_3.0~a67-1.debian.tar.xz
 c1dd77cc62544089e7eb98c2fa646467748ee283 195748 live-build_3.0~a67-1_all.deb
 6798bbd0c4378202c4e9f3e65ca742422cf31b3c 73368 live-build-cgi_3.0~a67-1_all.deb
Checksums-Sha256: 
 c580d49b067023a43d566361fa49463ef1bfd550cf9ce2943a3235bb9a25af30 1329 live-build_3.0~a67-1.dsc
 eeb75b5bfbc240912bbb3c0daf9d3d29eabe11cceacda81c0189c28030f6afcd 162264 live-build_3.0~a67.orig.tar.xz
 ecee8dde2e3f2d361fd4b7c30f7b38769882da64f46cb1883a267401f4849031 49232 live-build_3.0~a67-1.debian.tar.xz
 5a87e1bdadf4be7aec14365fb52ba9f85c326d8ddf87f0c8c382b89bd3223a59 195748 live-build_3.0~a67-1_all.deb
 c7a53ef8a3bfc10807b89bed6d70c756c91b89060bf8471d45acdb774b07e808 73368 live-build-cgi_3.0~a67-1_all.deb
Files: 
 7f882b4c1368a5fba9dc164c2c614ba8 1329 misc optional live-build_3.0~a67-1.dsc
 819129b0fae7db0e127fe7a61187e40a 162264 misc optional live-build_3.0~a67.orig.tar.xz
 e843cbdddd074249907a780a5d98b0b5 49232 misc optional live-build_3.0~a67-1.debian.tar.xz
 b4c1862d21c6bcf10b3f84c989a3c375 195748 misc optional live-build_3.0~a67-1_all.deb
 a9aec55eb7fd78da7bb57bc5196e8634 73368 misc optional live-build-cgi_3.0~a67-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAlCTsY8ACgkQ+C5cwEsrK55E8gCfbo8slNfLZVqxrd++asY5/ggP
ZZkAnRf4d93F6hcZaRWJvzNWGVMIvhSh
=ysEo
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 02 Mar 2013 07:25:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:14:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.